Skip to content

Video Creatives (v1.0)

Migration Notice

The following V2.0 endpoints have been removed and replaced by V3.0 equivalents:

Removed V2.0 EndpointUse Instead
GET /api/v2.0/atomic_creativesPOST /v3.0/creatives/list
GET /api/v2.0/atomic_creatives/{atomic_creative_id}GET /v3.0/creatives/{creativeId}
POST /video/v2.0/creativesPOST /v3.0/creatives
GET /video/v2.0/creatives/{video_id}GET /v3.0/creatives/{creativeId}
POST /video/v2.0/creatives/{video_id}POST /v3.0/creatives/{creativeId} or PATCH /v3.0/creatives/{creativeId}

See the Video Creative Management (V3) section below for the V3.0 API.

Download OpenAPI description
Languages
Servers
https://api.mediamath.com

Video Creative Management (V2)

V2.0 video creative endpoints (legacy)

Operations

Video Creative Management (V3)

V3.0 video creative management endpoints

Operations

Classification

Creative classification endpoints

Operations

Get Inflated Classification

Request

Get Inflated Classification

Path
creative_idintegerrequired

Creative ID

curl -i -X GET \
  'https://api.mediamath.com/classification/v1.0/{creative_id}/inflate'

Responses

Bulk Inflated Classification

Request

The bulk classification endpoints are useful for batch retrieval and editting of a group of existing creatives.

Path
creative_idsstringrequired

A comma separated list of integers, e.g. 1,243,351,41932.

curl -i -X GET \
  'https://api.mediamath.com/classification/v1.0/bulk/{creative_ids}/inflate'

Responses

Bulk Classification

Request

The bulk classification endpoints are useful for batch retrieval and editting of a group of existing creatives.

Path
creative_idsstringrequired

A comma separated list of integers, e.g. 1,243,351,41932.

curl -i -X GET \
  'https://api.mediamath.com/classification/v1.0/bulk/{creative_ids}'

Responses

Bulk Update Classification

Request

Prior to creating or updating the classification record of any creative, those creatives must exist.

Unlike in the single creative classifiction, no creative IDs are passed in the url itself.

Bodyapplication/json

_

any
curl -i -X POST \
  https://api.mediamath.com/classification/v1.0/bulk \
  -H 'Content-Type: application/json'

Responses

Bodyexample-1
Response
example-1
{
  "records": [
    {
      "atomic_creative_id": 0,
      "details": {
        "attributes": [
          {}
        ],
        "language": 0,
        "verticals": [
          {}
        ]
      }
    }
  ]
}

Update Classification

Request

Update Classification

Path
creative_idstringrequired

Creative ID

Bodyapplication/json

_

any
curl -i -X POST \
  'https://api.mediamath.com/classification/v1.0/{creative_id}' \
  -H 'Content-Type: application/json'

Responses

Bodyexample-1
Response
example-1
{
  "attributes": [
    0
  ],
  "language": 0,
  "verticals": [
    0
  ]
}

Get Classification

Request

Get Classification

Path
creative_idstringrequired

Creative ID

curl -i -X GET \
  'https://api.mediamath.com/classification/v1.0/{creative_id}'

Responses

Bodyapplication/json
Response
application/json
{ "status": { "code": "auth_required", "reason": "not_logged_in", "message": "failed parsing session from request" } }

IAB

IAB static data endpoints

Operations